API ReferenceWorkflows
Execute the Current Workflow Version
Page Tools
POST
/workflows/family/{workflowFamilyId}/execute/{phoneNumber}Execute the current version of a workflow family for a single phone number
Authenticate with your brand’s
x-api-key.AuthenticationPath Parameters
ID of the workflow family to execute (will execute the current version)
Phone number of the customer to execute the workflow for
Request Body
application/jsonvariablesobject
Map of workflow variable names to string values. Keys must match the selected workflow. Omit when no variables are needed.
Show child fieldsHide child fields for body.variables
[key]string
settingsobject
Workflow execution settings including channel overrides
Show child fieldsHide child fields for body.settings
Responses
Family workflow execution result
executionIdstring
Generated workflow run ID
Whether the execution was successful
channelstring
Channel that will be used for message delivery (RCS, SMS, or MMS)
errorstring
Error message if execution failed
errorCodestring
Error code if execution failed
Allowed values
"INVALID_ARGUMENT""RESOURCE_EXHAUSTED""WORKFLOW_ALREADY_STARTED""PAYLOAD_CONVERSION""UNKNOWN""WORKFLOW_NOT_FOUND""SAVE_FAILED""PREPARATION_FAILED""USER_ENGAGED"